This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 564896 - FTBFS lucidlife-0.9.2-5.fc12: ImplicitDSOLinking
FTBFS lucidlife-0.9.2-5.fc12: ImplicitDSOLinking
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lucidlife (Show other bugs)
13
All Linux
high Severity high
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Triaged
Depends On:
Blocks: 564245 583275
  Show dependency treegraph
 
Reported: 2010-02-13 12:15 EST by FTBFS
Modified: 2011-06-15 01:54 EDT (History)
1 user (show)

See Also:
Fixed In Version: lucidlife-0.9.2-6.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-11 00:33:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
root.log (587.19 KB, text/plain)
2010-02-13 12:15 EST, FTBFS
no flags Details
build.log (15.14 KB, text/plain)
2010-02-13 12:15 EST, FTBFS
no flags Details
mock.log (959 bytes, text/plain)
2010-02-13 12:15 EST, FTBFS
no flags Details
root.log (824.61 KB, text/plain)
2010-02-13 12:15 EST, FTBFS
no flags Details
build.log (15.22 KB, text/plain)
2010-02-13 12:15 EST, FTBFS
no flags Details
mock.log (1.02 KB, text/plain)
2010-02-13 12:15 EST, FTBFS
no flags Details

  None (edit)
Description FTBFS 2010-02-13 12:15:12 EST
lucidlife-0.9.2-5.fc12.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
This failure is due to a change in the linker default behavior, which uncovered a fault in your package.  See http://fedoraproject.org/wiki/Features/ChangeInImplicitDSOLinking .
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-02-13 12:15:16 EST
Created attachment 392353 [details]
root.log

root.log for i386
Comment 2 FTBFS 2010-02-13 12:15:17 EST
Created attachment 392354 [details]
build.log

build.log for i386
Comment 3 FTBFS 2010-02-13 12:15:18 EST
Created attachment 392355 [details]
mock.log

mock.log for i386
Comment 4 FTBFS 2010-02-13 12:15:21 EST
Created attachment 392356 [details]
root.log

root.log for x86_64
Comment 5 FTBFS 2010-02-13 12:15:22 EST
Created attachment 392357 [details]
build.log

build.log for x86_64
Comment 6 FTBFS 2010-02-13 12:15:23 EST
Created attachment 392358 [details]
mock.log

mock.log for x86_64
Comment 7 Bug Zapper 2010-03-15 10:46:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jan Klepek 2011-03-13 15:28:11 EDT
Hi,
Do you need any help with this ticket? Do you have any progress on this bug?
Comment 9 Bug Zapper 2011-06-02 12:32:42 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Fedora Update System 2011-06-02 18:21:21 EDT
lucidlife-0.9.2-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/lucidlife-0.9.2-7.fc15
Comment 11 Peter Gordon 2011-06-02 18:30:55 EDT
Sorry for the delay. This was fixed in rawhide yesterday; and I'm in the process of committing similar updates to the Fedora 13, 14, and 15 branches. Thanks for the bug report.

Regards.
Comment 12 Fedora Update System 2011-06-02 19:38:51 EDT
lucidlife-0.9.2-6.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/lucidlife-0.9.2-6.fc14
Comment 13 Fedora Admin XMLRPC Client 2011-06-02 19:41:39 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora Update System 2011-06-02 20:03:03 EDT
lucidlife-0.9.2-6.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/lucidlife-0.9.2-6.fc13
Comment 15 Fedora Update System 2011-06-03 23:00:23 EDT
Package lucidlife-0.9.2-6.fc13:
* should fix your issue,
* was pushed to the Fedora 13 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lucidlife-0.9.2-6.fc13'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/lucidlife-0.9.2-6.fc13
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2011-06-11 00:33:43 EDT
lucidlife-0.9.2-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2011-06-15 01:51:07 EDT
lucidlife-0.9.2-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2011-06-15 01:54:46 EDT
lucidlife-0.9.2-6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.